Resource Center/Resource Pool/Auto-Scaling Group Operations
PUTAuto-Scaling Group OperationsSince 3.1.0SynchronousAuth Required
UpdateAutoScalingGroup
UpdateAutoScalingGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateautoscalinggroupObjectRequiredupdateautoscalinggroup request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
minResourceSizeIntegerOptional. The minimum number of VM instances in the auto scaling group.
maxResourceSizeIntegerOptional. The maximum number of VM instances in the auto scaling group.
removalPolicyStringOptional. The policy for removing a VM instance. The oldest and newest VM instances take precedence.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/autoscaling/groups/{uuid}/actions
/zstack/v1/autoscaling/groups/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/autoscaling/groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateautoscalinggroup":{"name":"<name>","description":"<description>","minResourceSize":1,"maxResourceSize":1,"removalPolicy":"<removalPolicy>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "test-load-balance-profile", "uuid": "95f4b920e6b63e318940a44c0f47788e", "description": "just for test", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
